Articles of 导入

是否有可能包含/将代码导入到Android Manifest?

我正在为其他Android应用程序使用的包,并且当他们导入.jar时,他们还需要添加一个合理的权限等块的Android清单。 是否有可能具有这些所需的权限,意图filter等与包捆绑在一起,并且只需要在清单中的单行中将它们全部导入到清单中? 相比之下,只是提供了一个代码块复制和粘贴到清单从包网站。 我觉得这样做会导致其他软件包(一个例子是谷歌分析)更容易,如果权限被捆绑,并沿着<import package.name.manifest>是唯一需要的行。 任何提醒,这是否可能会是真棒,谢谢

从Eclipse导入Android项目后,依赖列表中的项目无效

将在Eclipse中使用Android项目向导生成的通用HelloWorld项目导入到IntelliJ IDEA CE后,我有两个错误: invalid item 'com.android.ide.eclipse.adt.ANDROID_FRAMEWORK' in dependencies list invalid item 'com.android.ide.eclipse.adt.LIBRARIES' in dependencies list 如何正确导入项目以避免错误?

Android Studio无法识别Facebook导入

我是一个begginer,我正在尝试创build一个与Facebook集成的应用程序。 我已经完成了所有步骤(在模块结构中导入Facebook SDK,在gradle文件中添加缺less的依赖关系,再次在Structure中为我的应用程序项目添加依赖关系模块)。 一切似乎都很好,我在main_activity.xml中添加了一个简单的LoginButton),并且没有出现错误。 由于我试图做MainActivity.java所需的所有Facebook导入,他们都变成了红色。 那些import像: import com.facebook.Session; import com.facebook.SessionState; import com.facebook.UiLifecycleHelper; import com.facebook.widget.LoginButton; import com.facebook.widget.LoginButton.UserInfoChangedCallback; 和“符号会话无法parsing”的消息。 我尽可能多地search了它,找不到适合我的解决scheme。 相反,这似乎没有问题: import com.facebook.login.widget.LoginButton; 这是我的Android清单文件XML: <?xml version="1.0" encoding="utf-8"?> <manifest xmlns:android="http://schemas.android.com/apk/res/android" package="com.user.moviere" > <uses-permission android:name="android.permission.INTERNET"/> <application android:allowBackup="true" android:icon="@mipmap/ic_launcher" android:label="@string/app_name" android:theme="@style/AppTheme" > <meta-data android:name="com.facebook.sdk.ApplicationId" android:value="@string/facebook_app_id"/> <activity android:name=".MainActivity" android:label="@string/app_name" > <intent-filter> <action android:name="android.intent.action.MAIN" /> <category android:name="android.intent.category.LAUNCHER" /> </intent-filter> </activity> <activity android:name="com.facebook.LoginActivity" […]

如何通过从SQL文件导入在Android中创buildSQLite数据库?

我有一个包含SQL CREATE TABLE和INSERT语句的大文本文件。 如何在SQLiteOpenHelper onCreate方法中导入这个文件? 或者,有直接使用二进制数据库文件的可接受的方式吗? 我需要这个与Android 1.6兼容。

需要android.support.v4.app.fragment

我希望你能帮助我。 我是新的Android 我正在努力解决这个问题,但我不能 当我宣布这个方法的问题 public void onNavigationDrawerItemSelected(int position) { // slide menue declaration Fragment fragment = null; switch (position) { case 0: fragment = new menu1_Fragment(); break; case 1: fragment = new menu2_Fragment(); break; case 2: fragment = new menu3_Fragment(); break; default: break; } 它给我一个错误说需要android.support.v4.app.fragment

无法parsing符号“支持”(使用Android Studio,遵循入门指南)

我正在开始使用Android开发。 我已经按照这个入门指南和使用Android Studio (而不是Eclipse)。 我在我的设备上运行了Hello World,到目前为止状态非常好。 但.. 添加此导入时,问题开始:(按照指南的说明) import android.support.v4.app.NavUtils; // cannot resolve symbol 'support' 似乎它需要这条线(评论和自动解决导入没有工作) NavUtils.navigateUpFromSameTask(this); 支持导入是红色下划线,mouseover告诉我Cannot resolve symbol 'support' build立不会工作的课程。 我看到类似问题的答案,如: build议清除caching和retarting(尝试),build议以pipe理员身份运行SDKpipe理器和更新(尝试),以及一些其他问题/解决scheme,似乎日食具体。 我是Android开发和IDE的新手。 如何解决这个在Android Studio v0.2.9? 编辑: 我的build.gradle文件的内容 buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.5.+' } } apply plugin: 'android' repositories { mavenCentral() } android { compileSdkVersion 17 buildToolsVersion "17.0.0" […]

我在哪里可以得到一个JAR来导入libcore.io?

我想在我的应用程序中处理一个GaiException 。 debugging器告诉我,它存在于libcore.io包中,但是导入它会产生一个错误。 我想我需要添加一个额外的JAR到我的项目来正确解决这个types。 我一直在我的android sdk文件夹中挖了一下,但似乎没有find类似的东西。 感谢您的任何build议。

如何导入eclipse中使用库的android studio项目?

当我们在eclipse中导入android studio项目时,它显示如下错误。 Android工作室项目包含项目和库,当我们导入所有的编译时间错误被解决,但是当我们从Eclipse运行项目它显示错误。 项目链接=“ https://github.com/glomadrian/material-code-input ”而波纹pipe是我的XML布局文件。 <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android" xmlns:app="http://schemas.android.com/apk/res-auto" android:layout_width="match_parent" android:layout_height="match_parent" android:orientation="vertical" android:padding="10dp" android:background="#FFF" > <com.github.glomadrian.codeinputlib.CodeInput android:layout_marginTop="20dp" android:layout_width="wrap_content" android:layout_height="wrap_content" app:hint_text="Pairing code" android:id="@+id/pairing" /> <com.github.glomadrian.codeinputlib.CodeInput android:layout_marginTop="20dp" android:layout_width="wrap_content" android:layout_height="wrap_content" app:underline_color="#457ad1" app:underline_selected_color="#9e1ace" app:text_color="#b12eff" app:hint_color="#77ce9d" app:hint_text="Pin code" app:codes="4" /> <com.github.glomadrian.codeinputlib.CodeInput android:layout_marginTop="20dp" android:layout_width="wrap_content" android:layout_height="wrap_content" app:underline_color="#d19385" app:underline_selected_color="#ce3a47" app:text_color="#5c282c" app:hint_color="#ce1087" app:hint_text="Cheat code" app:codes="8" /> <com.github.glomadrian.codeinputlib.CodeInput android:layout_marginTop="20dp" android:layout_width="wrap_content" android:layout_height="wrap_content" app:underline_color="#03A9F4" app:underline_selected_color="#3F51B5" app:text_color="#212121" app:hint_color="#03A9F4" […]

Zbar集成到Android应用程序

我正在使用Android ADT软件包进行开发工作。 在网上阅读了多个指南后,我已经添加了包com.dm.zbar.android.scanner到我的项目。 我在文件包中包含了CameraPreview.java,ZBarConstants.java和ZBarScannerActivity.java文件。 尽pipe如此,无法将类ScanActivity.java中的ZBAR_SCANNER_REQUEST var(由我创build,但使用zbar方法)parsing为variables。 除了这个variables,所有的东西都被接 任何想法为什么这是发生? 注意:我的libs文件夹包含在这里的一切: https://github.com/DushyanthMaguluru/ZBarScanner/tree/master/ZBarScannerLibrary/libs 并且zbar.jar包含在构buildpath中。 ScanActivity: package com.xx.xxx; import android.os.Bundle; import android.app.Activity; import android.content.Intent; import android.content.pm.PackageManager; import android.view.Menu; import android.view.View; import android.widget.Toast; import com.dm.zbar.android.scanner.ZBarConstants; import com.dm.zbar.android.scanner.ZBarScannerActivity; import net.sourceforge.zbar.Symbol; public class ScanActivity extends Activity { @Override protected void onCreate(Bundle savedInstanceState) { super.onCreate(savedInstanceState); setContentView(R.layout.activity_scan); } public void launchScanner(View v) { if […]

导入Android项目到Eclipse的问题

我重新安装了我的电脑,现在尝试将我的Android项目导入工作区。 (File – > Import – > General – > Existing Project into Workspace) 但是现在我有一个奇怪的错误。 bNormal.setOnClickListener(new OnClickListener() { @Override public void onClick(View v) { gotoNextQuestion(); } }); 在第二行(@Override)eclipse总是告诉我有一个错误: /* Multiple markers at this line – implements android.view.View.OnClickListener.onClick – The method onClick(View) of type new View.OnClickListener(){} must override a superclass Method */ 这发生在任何地方,在@Override使用。 我已经尝试过Android-Tools -> Fix […]